/* jshint -W097 */ // don't warn about "use strict"
"use strict";

import * as VueRouter from 'vue-router';

const Apps = () => import('./components/NervTNApps.vue');
const Dashboard = () => import('./components/Dashboard.vue');
const Chat = () => import('./components/message/Chat.vue');
const Correspondance = () => import('./components/message/Correspondance.vue');
const Contact = () =>import('./components/contact/Contact.vue');


const routes = [
    {
        path: '/',
        name: "Dashboard",
        components: {
            default: Dashboard,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/apps',
        name: "Apps",
        components: {
            default: Apps,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/chat',
        name: "Chat",
        components: {
            default: Chat,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/correspondance',
        name: "Correspondance",
        components: {
            default: Correspondance,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/contact',
        name: "Contact",
        components: {
            default: Contact,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    },
    {
        path: '/:errorPath(.*)*',
        name: "NotFound",
        components: {
            default: Apps,
            //Links: {},
            //Sidebar: {},
            //ActionBar: {}
        }
    }
];

const router = VueRouter.createRouter({
    history: VueRouter.createWebHashHistory(),
    routes
});

export default router;
